Bug 1295234 - icecat and gnome-software
icecat and gnome-software
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icecat (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 16:04 EST by Greg`
Modified: 2016-01-14 04:49 EST (History)
2 users (show)

See Also:
Fixed In Version: icecat-38.5.2-3.fc23 icecat-38.5.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:54:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
icecat & gnome-software (87.11 KB, image/png)
2016-01-03 16:04 EST, Greg`
no flags Details

  None (edit)
Description Greg` 2016-01-03 16:04:28 EST
Created attachment 1111226 [details]
icecat & gnome-software

Description of problem:
2 icecat versions are showing within gnome-software 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
each version seems to change the application ID. e.g. there exists icecat-38.4.0.desktop and icecat-31.8.0.desktop identifiers -- these are different applications to gnome-software and so do not get merged. Icecat needs to stop doing this
Comment 1 Antonio Trande 2016-01-03 17:07:00 EST
icecat desktop and appdata files seem good but yes, gnome-software reports 3 'installed' icecat but they are the same release installed.

Unexpectedly, repoquery lists two icecat version:

$ repoquery -f */icecat-*.desktop

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.

icecat-0:38.5.0-1.fc23.x86_64
icecat-0:31.8.0-5.fc23.x86_64


38.5.0 is current stable release; 31.8.0 is old and I don't know why It's still listed.

$ rpm -qa | grep icecat
icecat-38.5.2-1.fc23.x86_64

38.5.2 is recently built and still not pushed for testing.
Comment 2 Greg` 2016-01-03 19:14:51 EST
i asked Richard Hughes about it on Google+ he seems to think its a Bug in icecat
Comment 3 Richard Hughes 2016-01-04 05:37:02 EST
Icecat just needs to stop changing the application ID every time the version changes. This is going to break GNOME Software, and possibly more importantly, mutter when run under wayland.
Comment 4 Antonio Trande 2016-01-04 05:39:18 EST
(In reply to Richard Hughes from comment #3)
> Icecat just needs to stop changing the application ID every time the version
> changes. This is going to break GNOME Software, and possibly more
> importantly, mutter when run under wayland.

I'm fixing this problem. Thanks.
Comment 5 Fedora Update System 2016-01-04 12:32:03 EST
icecat-38.5.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76aee8e5d1
Comment 6 Fedora Update System 2016-01-05 19:25:13 EST
icecat-38.5.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54ec6a2d67
Comment 7 Fedora Update System 2016-01-05 19:29:57 EST
icecat-38.5.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76aee8e5d1
Comment 8 Fedora Update System 2016-01-14 03:54:44 EST
icecat-38.5.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-14 04:49:50 EST
icecat-38.5.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.